A2MD(1)

NAME
a2md - Show and manipulate Apache Managed Domains

SYNOPSIS

a2md [options] {acme | add | update | drive | list | store} [cmd options] [args]

DESCRIPTION

The a2md utility can be used to configure and update managed domains with the mod_md module for Apache HTTP Server. Managed Domains are virtual hosts which automatically obtain and renew TLS certificates from an ACME server.

OPTIONS

-a arg, --acme arg
    The url of the ACME server directory

-d arg, --dir arg
    Directory for file data

-h, --help
    Print usage information

-j, --json
    Produce JSON output

-p arg, --proxy arg
    Use the HTTP proxy url

-q, --quiet
    Produce less output

-t arg, --terms arg
    You agree to the terms of services (url)

-v, --verbose
    Produce more output

-V, --version
    Print version

  ACME server commands

a2md acme {newreg | delreg | agree | authz | validate} [opts] [args]

Play with the ACME server. For most of the commands you need to specify the url of the ACME server directory.

newreg

    newreg contact-uri [contact-uri...]

    Register a new account at ACME server with given contact-uri (email)

delreg

    delreg account

    Delete an existing ACME account

agree

    agree account

    Agree to ACME terms of service

authz

    authz account domain

    Request a new authorization for an account and domain

validate

    validate account

    Validate account existence

  Managed domain addition

a2md add [opts] domain [domain...]

Adds a new managed domain. Must not overlap with existing domains.

  Updating managed domain

a2md update name [opts] {domains | ca | account | contacts | agreement}

Update a managed domain's properties, where name belongs to managed domain which will be updated.

URL of ACME server can be also updated if -a| --acme option is present.

domains

    domains dname [dname...]

    Update domain where dname is domain name which will be updated.

ca

    ca url [proto]

    The URL where the CA offers its service.

    Currently only ACME (LetsEncrypt) proto is implemented.

account

    account

    Account name on corresponding ACME server.

contacts

    contacts email [email...]

    Contact address which will be used by ACME server to inform about renewals or changed terms of service.

agreement

    agreement URI

    URI pointing to terms of service of ACME server.

  Drive managed domains

a2md drive [md...] [options...]

Drive all or the mentioned managed domains toward completeness

Options

    -c arg, --challenge arg
        Which challenge type to use

    -f, --force
        Force driving the managed domain, even when it seems valid

    -r, --reset
        Reset any staging data for the managed domain

  List managed domamins

a2md list

List all managed domains

  Manipulating MD store

a2md store {add | remove | list | update} [opts] [args]

Manipulate the MD store

add

    add dns [dns2...]

    Add a new managed domain dns with all the additional domain names

remove

    remove [-f | --force] name [name...]

    Remove the managed domains name from the store

    When -f or --force option is specified, force managed domain removal - be silent about missing domains

list

    list

    List all managed domains in the store

update

    update name [domains dname [dname...]]

    If domains cmd is specified followed by one or more domains, MD store will be updated with those domains.

    URL of ACME server can be also updated if -a| --acme option is present.

AUTHORS

Stefan Eissing <stefan.eissing@greenbytes.de>
    Author

Lubos Uhliarik <luhliari@redhat.com>
    Documentation